Package org.apache.sling.distribution.queue

## Class DistributionQueueCapabilities

- java.lang.Object
- - org.apache.sling.distribution.queue.DistributionQueueCapabilities

    @ProviderType
    public final class DistributionQueueCapabilities
    extends Object

### Field Summary

Fields
`static String` `APPENDABLE` Indicates that the queue supports adding entries.
`static String` `CLEARABLE` Indicates that the queue supports clearing entries.
`static String` `REMOVABLE` Indicates that the queue supports removing random entries.

### Constructor Summary

Constructors
`DistributionQueueCapabilities()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REMOVABLE

    public static final String REMOVABLE

Indicates that the queue supports removing random entries.

See Also:
  Constant Field Values

#### CLEARABLE

    public static final String CLEARABLE

Indicates that the queue supports clearing entries.

See Also:
  Constant Field Values

#### APPENDABLE

    public static final String APPENDABLE

Indicates that the queue supports adding entries.

See Also:
  Constant Field Values

### Constructor Detail

#### DistributionQueueCapabilities

    public DistributionQueueCapabilities()